Update a password
PATCH
/v1/users/me/passwordcurl -X PATCH 'https://api.embodiflow.io/v1/users/me/password' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT' \
-H 'Content-Type: application/json' \
-d '{
"currentPassword": "string",
"newPassword": "string"
}'Authorization
Send a personal access token with every request.
- Authorization: Bearer PAT
Request body
Content-Typeapplication/json
- currentPasswordstring
Current or temporary password. Required when a password exists.
- newPasswordstringrequired
New password. Platform default minimum is 8 characters.
Responses
Success
- dataobjectrequired
- revokedOtherSessionsnumberrequired
- mustRotatePasswordbooleanrequired
Always false after a successful password write.
- userobjectrequired
- continueTostringrequired
- csrfTokenstring
- activationCompletedboolean
- metaobjectrequired
Response example
{
"data": {
"revokedOtherSessions": 0,
"mustRotatePassword": true,
"user": {
"id": "string",
"email": "string",
"displayName": "string",
"avatarUrl": "string",
"hasPassword": true,
"status": "string"
},
"continueTo": "/",
"csrfToken": "string",
"activationCompleted": true
},
"meta": {}
}Servershttps://api.embodiflow.io/v1https://api.embodiflow.dev/v1